Bug 867392 - Xerox-3124 don't print job randomly on cups-1.5.4-3
Xerox-3124 don't print job randomly on cups-1.5.4-3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 08:35 EDT by Kornienko Sergey
Modified: 2012-11-23 02:12 EST (History)
2 users (show)

See Also:
Fixed In Version: cups-1.5.4-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 21:22:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 4217 None None None 2012-10-22 06:16:58 EDT

  None (edit)
Description Kornienko Sergey 2012-10-17 08:35:56 EDT
Hi all!
After several updates cups package, my printer Xerox-3124 stopped working normally.
Before the update it worked for a year with no problems.
I use Fedora 17, last cups version - cups-1.5.4-3.fc17.x86_64

In syslog, I found a system message, which was not previously

dmesg:
[16408.641049] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 6 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[16409.035401] usblp0: removed
[16409.037285] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 6 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[16410.286848] usblp0: removed
[16410.292156] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 6 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[19094.388790] usblp0: removed
[19098.083245] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 6 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[19895.393044] usblp0: removed
[19899.050967] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 6 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[19933.662540] usblp0: removed
[19937.308659] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 6 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[19967.436669] usblp0: removed
[19982.171367] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 6 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[19985.488630] usb 1-1.3: USB disconnect, device number 6
[19985.488849] usblp0: removed
[19989.755003] usb 1-1.3: new full-speed USB device number 7 using ehci_hcd
[19989.841473] usb 1-1.3: New USB device found, idVendor=0924, idProduct=3ce9
[19989.841479] usb 1-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[19989.841482] usb 1-1.3: Product: Xerox Phaser 3124
[19989.841484] usb 1-1.3: Manufacturer: Xerox Corporation
[19989.841486] usb 1-1.3: SerialNumber: CAU303171.......
[19989.844811] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 7 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[19990.974060] usblp0: removed
[19990.979018] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 7 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[28312.230347] usb 1-1.3: USB disconnect, device number 7
[28312.230512] usblp0: removed
[92076.703360] usb 1-1.3: new full-speed USB device number 8 using ehci_hcd
[92076.789854] usb 1-1.3: New USB device found, idVendor=0924, idProduct=3ce9
[92076.789859] usb 1-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[92076.789862] usb 1-1.3: Product: Xerox Phaser 3124
[92076.789864] usb 1-1.3: Manufacturer: Xerox Corporation
[92076.789866] usb 1-1.3: SerialNumber: CAU303171.......
[92076.791040] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 8 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[92079.550937] usblp0: removed
[92079.552934] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 8 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[92080.097125] usblp0: removed
[92082.603600] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 8 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[101465.219161] usblp0: removed
[101466.607537] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 8 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[102008.310171] usb 1-1.3: USB disconnect, device number 8
[102008.310349] usblp0: removed
[102011.042957] usb 1-1.3: new full-speed USB device number 9 using ehci_hcd
[102011.129204] usb 1-1.3: New USB device found, idVendor=0924, idProduct=3ce9
[102011.129208] usb 1-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[102011.129209] usb 1-1.3: Product: Xerox Phaser 3124
[102011.129211] usb 1-1.3: Manufacturer: Xerox Corporation
[102011.129212] usb 1-1.3: SerialNumber: CAU303171.......
[102011.130114] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 9 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[102012.234140] usblp0: removed
[102012.235590] usblp 1-1.3:1.0: usblp0: USB Bidirectional printer dev 9 if 0 alt 0 proto 2 vid 0x0924 pid 0x3CE9
[102030.926174] usblp0: removed

lsusb:
Bus 001 Device 009: ID 0924:3ce9 Xerox

I reviewed the last changelog of update cups and found that recently patch "More quirk rules for the USB batskend".
https://www.cups.org/newsgroups.php?s1+gcups.bugs+v4+T+Qquirk

I looked at the patch, and found in it a reference to bugtrack, here is one of them: https://bugs.launchpad.net/ubuntu/+source/cups/+bug/1050009

I have read and tried to apply some workarounds:

lpadmin -p <printer> -o usb-unidir-default=true

that don't help me
but

lpadmin -p <printer> -o usb-no-reattach-default=true
lpadmin -p <printer> -o usb-unidir-default=true

that help me

And log messages "usblp0: removed" disappeared from syslog

Please include that device Xerox (0924:3ce9) to patch "More quirk rules for the USB batskend" or change cups default configuration for that device.
Comment 1 Jiri Popelka 2012-10-17 09:15:29 EDT
Can you also show me the output of
 su -c "lpinfo -l -v"
Comment 2 Kornienko Sergey 2012-10-17 09:32:57 EDT
Yes, of course

Device: uri = hp
        class = direct
        info = HP Printer (HPLIP)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ipps
        class = network
        info = Internet Printing Protocol (ipps)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = https
        class = network
        info = Internet Printing Protocol (https)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = smb
        class = network
        info = Windows Printer via SAMBA
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = lpd
        class = network
        info = LPD/LPR Host or Printer
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = beh
        class = network
        info = Backend Error Handler
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = http
        class = network
        info = Internet Printing Protocol (http)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ipp
        class = network
        info = Internet Printing Protocol (ipp)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = socket
        class = network
        info = AppSocket/HP JetDirect
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = usb://Xerox/Phaser%203124?serial=CAU303171.......
        class = direct
        info = Xerox Phaser 3124
        make-and-model = Xerox Phaser 3124
        device-id = MFG:Xerox;CMD:GDI;MDL:Phaser 3124;CLS:PRINTER;STATUS:BUSY;
        location = 
Device: uri = hpfax
        class = direct
        info = HP Fax (HPLIP)
        make-and-model = Unknown
        device-id = 
        location =
Comment 3 Jiri Popelka 2012-10-17 09:56:50 EDT
Thanks.

(In reply to comment #0)
> lpadmin -p <printer> -o usb-unidir-default=true
> 
> that don't help me
> but
> 
> lpadmin -p <printer> -o usb-no-reattach-default=true
> lpadmin -p <printer> -o usb-unidir-default=true
> 
> that help me

So do you think it's necessary to set both 'usb-no-reattach-default=true' and 'usb-unidir-default=true' ? Or is only 'usb-no-reattach-default=true' sufficient ?

Try to reset both with:
lpadmin -p <printer> -R usb-no-reattach-default
lpadmin -p <printer> -R usb-unidir-default
then
lpadmin -p <printer> -o usb-no-reattach-default=true
turn off and turn on your printer, then try to print several jobs.
Comment 4 Jiri Popelka 2012-10-17 10:48:43 EDT
(In reply to comment #0)
> Please include that device Xerox (0924:3ce9) to patch ...

Done. Can you test this scratch-build ?
http://koji.fedoraproject.org/koji/taskinfo?taskID=4599434
Comment 5 Kornienko Sergey 2012-10-19 12:45:42 EDT
Thank you, for your work!
I installed the patch, used throughout the day, everything works fine. 
In syslog I can't find repeatedly messages "usblp0: removed".

> So do you think it's necessary to set both 'usb-no-reattach-default=true' and 
> 'usb-unidir-default=true' ? Or is only 'usb-no-reattach-default=true' 
> sufficient ?

I don't know. I'm don't try usb-no-reattach-default=true option without usb-unidir-default=true option. First, I try set 'usb-unidir-default=true'. That don't help me. Next, I don't reset to default usb-unidir-default=true and I apply usb-no-reattach-default=true. After that all work normally.
Next day, I install your packages from scratch-build.
Before install I reset to defaults usb-no-reattach-default and usb-unidir-default use cmd: 
lpadmin -p <printer> -R usb-no-reattach-default
lpadmin -p <printer> -R usb-unidir-default
Now, everything works fine.
If you want, in next week, I can return to previous version of cups, return previous config and I can try only one option usb-no-reattach-default=true.
Comment 6 Jiri Popelka 2012-10-22 05:23:54 EDT
(In reply to comment #5)
> Next day, I install your packages from scratch-build.
> Before install I reset to defaults usb-no-reattach-default and
> usb-unidir-default use cmd: 
> lpadmin -p <printer> -R usb-no-reattach-default
> lpadmin -p <printer> -R usb-unidir-default
> Now, everything works fine.

Great, reported upstream.
Comment 7 Fedora Update System 2012-10-29 12:25:14 EDT
cups-1.5.4-12.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-15936/cups-1.5.4-12.fc18
Comment 8 Fedora Update System 2012-10-29 12:47:19 EDT
cups-1.5.4-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-14508/cups-1.5.4-9.fc17
Comment 9 Fedora Update System 2012-10-29 14:14:40 EDT
Package cups-1.5.4-12.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.5.4-12.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15936/cups-1.5.4-12.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-11-18 21:22:01 EST
cups-1.5.4-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-11-23 02:12:53 EST
cups-1.5.4-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.